Package Base Details: dxvk-bin

Git Clone URL: https://aur.archlinux.org/dxvk-bin.git (read-only)
Keywords: dxvk
Submitter: ssorgatem
Maintainer: ssorgatem
Last Packager: ssorgatem
Votes: 86
Popularity: 7.243444
First Submitted: 2018-03-02 07:39
Last Updated: 2019-04-16 07:24

Pinned Comments

ssorgatem commented on 2018-03-27 06:47

To enable DXVK in a wineprefix, do the following (with the WINEPREFIX variable properly set):

setup_dxvk install

In order to uninstall DXVK from a wineprefix:

setup_dxvk uninstall

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

ssorgatem commented on 2018-04-13 13:08

@Enverex That looks like a bug that should be reported to the pacman developers.

As for trying to work around it... isn't wine 3.6 scheduled for release later today? That should "fix" the issue...

Enverex commented on 2018-04-13 13:03

Pacman doesn't seem to be handling the dependency well for this:

:: dxvk-bin: installing wine-staging-pba-git (3.5.r13.g3fe54232+wine.3.5.r193.ga7b33a6a42+pba.3.5.r33.8c72f84-1) breaks dependency 'wine>=3.5'

3.5.r13.g3fe5423(blahblah) is obviously >= 3.5 but Pacman doesn't seem to agree. Do you think there's a way to gracefully handle this without removing the version requirement entirely?

ssorgatem commented on 2018-03-27 06:47

To enable DXVK in a wineprefix, do the following (with the WINEPREFIX variable properly set):

setup_dxvk install

In order to uninstall DXVK from a wineprefix:

setup_dxvk uninstall

ssorgatem commented on 2018-03-27 06:47

That error message means you haven't properly setup Vulkan in your wine prefix.

winicius commented on 2018-03-26 23:05

Getting the same error as @earthboundin for mortal kombat x on wine 3.4 after setting up dxvk for the prefix. Is there any way to remove dxvk from the prefix?

This is the error message I got:

0037:err:module:import_dll Library vulkan-1.dll (which is needed by L"C:\windows\system32\d3d11.dll") not found 0037:err:module:import_dll Library vulkan-1.dll (which is needed by L"C:\windows\system32\DXGI.DLL") not found 0037:err:module:import_dll Library DXGI.DLL (which is needed by L"C:\windows\system32\d3d11.dll") not found 0037:err:module:import_dll Library d3d11.dll (which is needed by L"Z:\home\winicius\.local\share\lutris\runners\winesteam\prefix\drive_c\Program Files\Steam\steamapps\common\MK10\Binaries\Retail\MK10.exe") not found 0037:err:module:import_dll Library vulkan-1.dll (which is needed by L"C:\windows\system32\dxgi.dll") not found 0037:err:module:import_dll Library dxgi.dll (which is needed by L"Z:\home\winicius\.local\share\lutris\runners\winesteam\prefix\drive_c\Program Files\Steam\steamapps\common\MK10\Binaries\Retail\MK10.exe") not found 0037:err:module:attach_dlls Importing dlls for L"Z:\home\winicius\.local\share\lutris\runners\winesteam\prefix\drive_c\Program Files\Steam\steamapps\common\MK10\Binaries\Retail\MK10.exe" failed, status c0000135

EDIT: sorry, had not configured wine vulkan

ssorgatem commented on 2018-03-20 17:40

Well, then it's a bug with the wine-vulkan-git PKGBUILD because it's not exposing the proper wine version.

DXVK required wine-vulkan before wine 3.4. As of 3.4, all the necessary patches are part of mainline wine, so any wine version based on 3.4 or above should work.

WhatTheBuck commented on 2018-03-20 17:36

@ssorgatem I rebuilt wine-vulkan-git right before trying to install this and it still didn't work. Isn't wine-vulkan required for this to work? Could it be because the package version of wine-vulkan-git doesn't appear as 3.4 when installed?

The "about" tab in winecfg lists the version as 3.4.

ssorgatem commented on 2018-03-20 17:33

@DrDoctor that means your version of wine-vulkan is below 3.4.

Either re-install wine-vulkan-git so that it gets the current code or install some other wine package that gives at least wine 3.4

WhatTheBuck commented on 2018-03-20 17:21

I can't install this without uninstalling wine-vulkan-git. It tries to install wine-staging instead.

ssorgatem commented on 2018-03-10 17:49

It looks like you don't have wine-vulkan properly setup